Bug 188598 - [PATCH] converters/py-pisa: stage
Summary: [PATCH] converters/py-pisa: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-14 10:30 UTC by Bartek Rutkowski
Modified: 2014-05-12 11:30 UTC (History)
1 user (show)

See Also:


Attachments
py-pisa-3.0.33.patch (952 bytes, patch)
2014-04-14 10:30 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-14 10:30:00 UTC
- Stage
- Add LICENSE
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-pisa/3.0.33/

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-14 10:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2014-05-12 00:58:41 UTC
Responsible Changed
From-To: wen->gerald

Looks like I can take another one.
Comment 3 dfilter service freebsd_committer 2014-05-12 11:21:58 UTC
Author: gerald
Date: Mon May 12 10:21:53 2014
New Revision: 353794
URL: http://svnweb.freebsd.org/changeset/ports/353794
QAT: https://qat.redports.org/buildarchive/r353794/

Log:
  - Support staging.
  - Add LICENSE (APACHE20).
  - Tweak WWW line in pkg-descr.
  
  PR:		188598
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr (blanket pre-approval)

Modified:
  head/converters/py-pisa/Makefile
  head/converters/py-pisa/pkg-descr

Modified: head/converters/py-pisa/Makefile
==============================================================================
--- head/converters/py-pisa/Makefile	Mon May 12 10:15:07 2014	(r353793)
+++ head/converters/py-pisa/Makefile	Mon May 12 10:21:53 2014	(r353794)
@@ -10,6 +10,8 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	wen@FreeBSD.org
 COMMENT=	PDF generator using HTML and CSS
 
+LICENSE=	APACHE20
+
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}html5lib>=0.11.1:${PORTSDIR}/www/py-html5lib \
 		${PYTHON_PKGNAMEPREFIX}reportlab2>=2.1:${PORTSDIR}/print/py-reportlab2 \
 		${PYTHON_PKGNAMEPREFIX}imaging>=0.1:${PORTSDIR}/graphics/py-imaging \
@@ -18,5 +20,4 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}html
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/converters/py-pisa/pkg-descr
==============================================================================
--- head/converters/py-pisa/pkg-descr	Mon May 12 10:15:07 2014	(r353793)
+++ head/converters/py-pisa/pkg-descr	Mon May 12 10:21:53 2014	(r353794)
@@ -7,4 +7,4 @@ templates very quickly without learning 
 integration into Python frameworks like CherryPy, KID Templating,
 TurboGears, Django, Zope, Plone, Google AppEngine (GAE) etc.
 
-WWW:	http://www.xhtml2pdf.com/
+WWW: http://www.xhtml2pdf.com
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Gerald Pfeifer freebsd_committer 2014-05-12 11:22:01 UTC
State Changed
From-To: open->closed

Thanks, I committed this patch. 

I also removed a trailing slash from the URL which is not required 
if there are no subdirectories.